Loading...
Searching...
No Matches
Opm::RockTable Struct Reference
Inheritance diagram for Opm::RockTable:

## Public Member Functions

| RockTable (const DeckKeyword &kw)
| RockTable (std::initializer_list< ROCKRecord > records)
Public Member Functions inherited from Opm::FlatTableWithCopy< ROCKRecord >
auto | size () const
bool | empty () const
auto | begin () const
auto | end () const
const ROCKRecord & | operator[] (const std::size_t tableID) const
const ROCKRecord & | at (const std::size_t tableID) const
bool | operator== (const FlatTableWithCopy &other) const
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static RockTable | serializationTestObject ()

## Additional Inherited Members

Protected Attributes inherited from Opm::FlatTableWithCopy< ROCKRecord >
std::vector< ROCKRecord > | table_

The documentation for this struct was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/FlatTable.hpp
- opm/input/eclipse/EclipseState/Tables/Tables.cpp